KDE 4.9 PyKDE API Reference

- KDE's Python API

# GeoDataTimeSpan Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataTimePrimitive → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

## Methods
| __init__ (self)
| __init__ (self, Marble.GeoDataTimeSpan other)
QDateTime | begin (self)
QDateTime | end (self)
QString | nodeType (self)
| pack (self, QDataStream stream)
| setBegin (self, QDateTime begin)
| setEnd (self, QDateTime end)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataTimeSpan | other
| ) |  |  |

QDateTime begin | ( |  | self ) |

return the beginning instant of a timespan

QDateTime end | ( |  | self ) |

return the ending instant of a timespan

QString nodeType | ( |  | self ) |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Serialize the timespan to a stream

Parameters:

  |  | stream the stream

setBegin | ( | self, |
|  | QDateTime | begin
| ) |  |  |

Set the beginning instant of a timespan

Parameters:

  | begin | the beginning instant of a timespan

setEnd | ( | self, |
|  | QDateTime | end
| ) |  |  |

Set the ending instant of a timespan

Parameters:

  | begin | the ending instant of a timespan

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Unserialize the timespan from a stream

Parameters:

  |  | stream the stream